2021-09-22 20:48 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002797NetSurfLayoutpublic2021-01-02 09:55
ReporterSteve Fryatt 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusfeedbackResolutionopen 
PlatformRISC OSOSRISC OSOS Version5.28
Product Version3.11 
Target VersionFixed in Version3.11 
Summary0002797: Handling of CSS @media rules appears to have changed
DescriptionSomething appears to have changed in the way that NetSurf handles CSS @media rules between #5221 and #5222, although I can't see anything obvious in the changes shown on Jenkins.

In #5221, @media rules depending on width appear to be respected, with the page being reflowed if the window size is changed and the page is then re-loaded (Ctrl-F5, or reload on the toolbar). In #5222, however, it seems to stay with the layout for the width when the page was opened(?), and not update when the page is re-loaded.

I'm aware that responsive layouts are an area that isn't fully supported, so I'm not sure whether this change is expected or not. It does appear to be a backwards step, however.
Steps To ReproduceUsing a website with a responsive design, open the page and observe the layout.

Now reduce the window size to maybe 50% width, and re-load the page. In #5221, the layout will adjust to the revised @media rules. In #5222, it won't.

An example site is http://www.wakefieldshow.org.uk/ -- below 800px wide, it should have a single-column layout, while above 800px a sidebar appears on the right of the page.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #5222
URL of problem pagehttp://www.wakefieldshow.org.uk/
Attached Files
  • zip file icon Logs.zip (17,080 bytes) 2020-11-27 23:57

-Relationships
+Relationships

-Notes
Vincent Sanders

~0002318

Vincent Sanders (administrator)

I beleive tlsa fixed this with commit https://git.netsurf-browser.org/libcss.git/commit/?id=03ab48a3171d358d50d0d97331a64a79c084521b

can you please verify this is behaving correctly again?
+Notes

-Issue History
Date Modified Username Field Change
2020-11-27 23:45 Steve Fryatt New Issue
2020-11-27 23:57 Steve Fryatt File Added: Logs.zip
2021-01-02 09:55 Vincent Sanders Assigned To => Michael Drake
2021-01-02 09:55 Vincent Sanders Status new => feedback
2021-01-02 09:55 Vincent Sanders Fixed in Version => 3.11
2021-01-02 09:55 Vincent Sanders Note Added: 0002318
+Issue History